Bug 1313255 - file:/// format isn't allow to import in business-central
file:/// format isn't allow to import in business-central
Status: CLOSED NOTABUG
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: manstis
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 04:18 EST by Ryan Zhang
Modified: 2016-03-08 06:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-08 06:45:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Zhang 2016-03-01 04:18:22 EST
Description of problem:
I spot the following error or changes when I did somketest for 6.3 DR2. 
The business-central don't allow me import repository from local fomat, eg:
file:///home/rzhang/lab/1brms6/6.3.x/bpmsuite-6.3.0.DR2/jboss-brms-bpmsuite-6.3-quickstarts/jboss-bpmsuite-example

But this format is ok on previous release. Is this an intentional change or a potential bug?


17:07:53,040 ERROR [org.guvnor.structure.backend.repositories.RepositoryServiceImpl] (http-localhost.localdomain/127.0.0.1:8080-3) Error during create repository: java.lang.RuntimeException: Invalid remote: origin
	at org.guvnor.structure.backend.repositories.git.GitRepositoryFactoryHelper.newRepository(GitRepositoryFactoryHelper.java:110) [guvnor-structure-backend-6.4.0.Beta2-redhat-1.jar:6.4.0.Beta2-redhat-1]
	at org.guvnor.structure.backend.repositories.git.GitRepositoryFactoryHelper.newRepository(GitRepositoryFactoryHelper.java:77) [guvnor-structure-backend-6.4.0.Beta2-redhat-1.jar:6.4.0.Beta2-redhat-1]
	at org.guvnor.structure.backend.repositories.git.GitRepositoryFactoryHelper$Proxy$_$$_WeldClientProxy.newRepository(GitRepositoryFactoryHelper$Proxy$_$$_WeldClientProxy.java) [guvnor-structure-backend-6.4.0.Beta2-redhat-1.jar:6.4.0.Beta2-redhat-1]
	at org.guvnor.structure.backend.repositories.RepositoryFactoryImpl.newRepository(RepositoryFactoryImpl.java:61) [guvnor-structure-backend-6.4.0.Beta2-redhat-1.jar:6.4.0.Beta2-redhat-1]
	at org.guvnor.structure.backend.repositories.RepositoryFactoryImpl$Proxy$_$$_WeldClientProxy.newRepository(RepositoryFactoryImpl$Proxy$_$$_WeldClientProxy.java) [guvnor-structure-backend-6.4.0.Beta2-redhat-1.jar:6.4.0.Beta2-redhat-1]
	at org.guvnor.structure.backend.repositories.RepositoryServiceImpl.createRepository(RepositoryServiceImpl.java:225) [guvnor-structure-backend-6.4.0.Beta2-redhat-1.jar:6.4.0.Beta2-redhat-1]
	at org.guvnor.structure.backend.repositories.RepositoryServiceImpl.createRepository(RepositoryServiceImpl.java:210) [guvnor-structure-backend-6.4.0.Beta2-redhat-1.jar:6.4.0.Beta2-redhat-1]
	at org.guvnor.structure.backend.repositories.RepositoryServiceImpl.createRepository(RepositoryServiceImpl.java:168) [guvnor-structure-backend-6.4.0.Beta2-redhat-1.jar:6.4.0.Beta2-redhat-1]
	at org.guvnor.structure.backend.repositories.RepositoryServiceImpl$Proxy$_$$_WeldClientProxy.createRepository(RepositoryServiceImpl$Proxy$_$$_WeldClientProxy.java) [guvnor-structure-backend-6.4.0.Beta2-redhat-1.jar:6.4.0.Beta2-redhat-1]
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.7.0_17]
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [rt.jar:1.7.0_17]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_17]
	at java.lang.reflect.Method.invoke(Method.java:601) [rt.jar:1.7.0_17]
	at org.jboss.errai.bus.server.io.AbstractRPCMethodCallback.invokeMethodFromMessage(AbstractRPCMethodCallback.java:48) [errai-bus-3.2.2.Final-redhat-1.jar:3.2.2.Final-redhat-1]
	at org.jboss.errai.bus.server.io.ValueReplyRPCEndpointCallback.callback(ValueReplyRPCEndpointCallback.java:22) [errai-bus-3.2.2.Final-redhat-1.jar:3.2.2.Final-redhat-1]
	at org.jboss.errai.bus.server.io.RemoteServiceCallback.callback(RemoteServiceCallback.java:54) [errai-bus-3.2.2.Final-redhat-1.jar:3.2.2.Final-redhat-1]
	at org.jboss.errai.cdi.server.CDIExtensionPoints$2.callback(CDIExtensionPoints.java:396) [errai-weld-integration-3.0.6.Final-redhat-1.jar:3.0.6.Final-redhat-1]
	at org.jboss.errai.bus.server.DeliveryPlan.deliver(DeliveryPlan.java:47) [errai-bus-3.2.2.Final-redhat-1.jar:3.2.2.Final-redhat-1]
	at org.jboss.errai.bus.server.ServerMessageBusImpl.sendGlobal(ServerMessageBusImpl.java:296) [errai-bus-3.2.2.Final-redhat-1.jar:3.2.2.Final-redhat-1]
	at org.jboss.errai.bus.server.SimpleDispatcher.dispatchGlobal(SimpleDispatcher.java:46) [errai-bus-3.2.2.Final-redhat-1.jar:3.2.2.Final-redhat-1]
	at org.jboss.errai.bus.server.service.ErraiServiceImpl.store(ErraiServiceImpl.java:97) [errai-bus-3.2.2.Final-redhat-1.jar:3.2.2.Final-redhat-1]
	at org.jboss.errai.bus.server.service.ErraiServiceImpl.store(ErraiServiceImpl.java:114) [errai-bus-3.2.2.Final-redhat-1.jar:3.2.2.Final-redhat-1]
	at org.jboss.errai.bus.server.servlet.DefaultBlockingServlet.doPost(DefaultBlockingServlet.java:142) [errai-bus-3.2.2.Final-redhat-1.jar:3.2.2.Final-redhat-1]
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:754) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-2.jar:1.0.2.Final-redhat-2]
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:847) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-2.jar:1.0.2.Final-redhat-2]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295) [jbossweb-7.5.12.Final-redhat-1.jar:7.5.12.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.5.12.Final-redhat-1.jar:7.5.12.Final-redhat-1]
	at org.uberfire.ext.security.server.SecureHeadersFilter.doFilter(SecureHeadersFilter.java:69) [uberfire-servlet-security-0.8.0.Beta2-redhat-1.jar:0.8.0.Beta2-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.5.12.Final-redhat-1.jar:7.5.12.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.5.12.Final-redhat-1.jar:7.5.12.Final-redhat-1]
	at org.uberfire.ext.security.server.SecurityIntegrationFilter.doFilter(SecurityIntegrationFilter.java:61) [uberfire-servlet-security-0.8.0.Beta2-redhat-1.jar:0.8.0.Beta2-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.5.12.Final-redhat-1.jar:7.5.12.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.5.12.Final-redhat-1.jar:7.5.12.Final-redhat-1]
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:231) [jbossweb-7.5.12.Final-redhat-1.jar:7.5.12.Final-redhat-1]
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:149) [jbossweb-7.5.12.Final-redhat-1.jar:7.5.12.Final-redhat-1]
	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:512) [jbossweb-7.5.12.Final-redhat-1.jar:7.5.12.Final-redhat-1]
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa-7.5.6.Final-redhat-2.jar:7.5.6.Final-redhat-2]
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa-7.5.6.Final-redhat-2.jar:7.5.6.Final-redhat-2]
	at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169) [jboss-as-web-7.5.6.Final-redhat-2.jar:7.5.6.Final-redhat-2]
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:150) [jbossweb-7.5.12.Final-redhat-1.jar:7.5.12.Final-redhat-1]
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97) [jbossweb-7.5.12.Final-redhat-1.jar:7.5.12.Final-redhat-1]
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102) [jbossweb-7.5.12.Final-redhat-1.jar:7.5.12.Final-redhat-1]
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:344) [jbossweb-7.5.12.Final-redhat-1.jar:7.5.12.Final-redhat-1]
	at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:854) [jbossweb-7.5.12.Final-redhat-1.jar:7.5.12.Final-redhat-1]
	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653) [jbossweb-7.5.12.Final-redhat-1.jar:7.5.12.Final-redhat-1]
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:926) [jbossweb-7.5.12.Final-redhat-1.jar:7.5.12.Final-redhat-1]
	at java.lang.Thread.run(Thread.java:722) [rt.jar:1.7.0_17]
Caused by: java.lang.RuntimeException: org.eclipse.jgit.api.errors.InvalidRemoteException: Invalid remote: origin
	at org.uberfire.java.nio.fs.jgit.util.JGitUtil.cloneRepository(JGitUtil.java:250) [uberfire-nio2-jgit-0.8.0.Beta2-redhat-1.jar:0.8.0.Beta2-redhat-1]
	at org.uberfire.java.nio.fs.jgit.JGitFileSystemProvider.newFileSystem(JGitFileSystemProvider.java:643) [uberfire-nio2-jgit-0.8.0.Beta2-redhat-1.jar:0.8.0.Beta2-redhat-1]
	at org.uberfire.java.nio.file.FileSystems.newFileSystem(FileSystems.java:117) [uberfire-nio2-api-0.8.0.Beta2-redhat-1.jar:0.8.0.Beta2-redhat-1]
	at org.uberfire.java.nio.file.FileSystems.newFileSystem(FileSystems.java:83) [uberfire-nio2-api-0.8.0.Beta2-redhat-1.jar:0.8.0.Beta2-redhat-1]
	at org.uberfire.io.impl.AbstractIOService.newFileSystem(AbstractIOService.java:244) [uberfire-io-0.8.0.Beta2-redhat-1.jar:0.8.0.Beta2-redhat-1]
	at org.uberfire.ext.metadata.io.IOServiceIndexedImpl.newFileSystem(IOServiceIndexedImpl.java:198) [uberfire-metadata-commons-io-0.8.0.Beta2-redhat-1.jar:0.8.0.Beta2-redhat-1]
	at org.guvnor.structure.backend.repositories.git.GitRepositoryFactoryHelper.newRepository(GitRepositoryFactoryHelper.java:102) [guvnor-structure-backend-6.4.0.Beta2-redhat-1.jar:6.4.0.Beta2-redhat-1]
	... 46 more
Caused by: org.eclipse.jgit.api.errors.InvalidRemoteException: Invalid remote: origin
	at org.eclipse.jgit.api.FetchCommand.call(FetchCommand.java:136) [org.eclipse.jgit-3.7.1.201504261725-r.jar:3.7.1.201504261725-r]
	at org.eclipse.jgit.api.CloneCommand.fetch(CloneCommand.java:193) [org.eclipse.jgit-3.7.1.201504261725-r.jar:3.7.1.201504261725-r]
	at org.eclipse.jgit.api.CloneCommand.call(CloneCommand.java:133) [org.eclipse.jgit-3.7.1.201504261725-r.jar:3.7.1.201504261725-r]
	at org.uberfire.java.nio.fs.jgit.util.JGitUtil.cloneRepository(JGitUtil.java:229) [uberfire-nio2-jgit-0.8.0.Beta2-redhat-1.jar:0.8.0.Beta2-redhat-1]
	... 52 more
Caused by: org.eclipse.jgit.errors.NoRemoteRepositoryException: file:///home/rzhang/lab/1brms6/6.3.x/bpmsuite-6.3.0.DR2/jboss-brms-bpmsuite-6.3-quickstarts/jboss-bpmsuite-example: not found.
	at org.eclipse.jgit.transport.TransportLocal$1.open(TransportLocal.java:131) [org.eclipse.jgit-3.7.1.201504261725-r.jar:3.7.1.201504261725-r]
	at org.eclipse.jgit.transport.TransportBundleFile$1.open(TransportBundleFile.java:106) [org.eclipse.jgit-3.7.1.201504261725-r.jar:3.7.1.201504261725-r]
	at org.eclipse.jgit.transport.Transport.open(Transport.java:561) [org.eclipse.jgit-3.7.1.201504261725-r.jar:3.7.1.201504261725-r]
	at org.eclipse.jgit.transport.Transport.open(Transport.java:438) [org.eclipse.jgit-3.7.1.201504261725-r.jar:3.7.1.201504261725-r]
	at org.eclipse.jgit.transport.Transport.open(Transport.java:319) [org.eclipse.jgit-3.7.1.201504261725-r.jar:3.7.1.201504261725-r]
	at org.eclipse.jgit.transport.Transport.open(Transport.java:288) [org.eclipse.jgit-3.7.1.201504261725-r.jar:3.7.1.201504261725-r]
	at org.eclipse.jgit.api.FetchCommand.call(FetchCommand.java:120) [org.eclipse.jgit-3.7.1.201504261725-r.jar:3.7.1.201504261725-r]
	... 55 more

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Start business-central based on EAP 6.4.6
2. Clone repository from business-central ui (repositoryEditor UI)
3. Input format like file:///your local repos path
4. An popup windows shows "java.lang.RuntimeException: java.lang.RuntimeException: Invalid remote: origin" and  error would appear in the server.log too.

Actual results:


Expected results:


Additional info:
Comment 2 manstis 2016-03-04 05:31:30 EST
I cloned a local git Repository with file:// just fine.

The stack trace shows "Caused by: org.eclipse.jgit.errors.NoRemoteRepositoryException: file:///home/rzhang/lab/1brms6/6.3.x/bpmsuite-6.3.0.DR2/jboss-brms-bpmsuite-6.3-quickstarts/jboss-bpmsuite-example: not found."

Can you give any more details?
Comment 3 Ryan Zhang 2016-03-08 06:45:59 EST
Apology that this is not a bug. This should caused by the wrong path information.
I just did check again. It clone the quickstart example  without problems.

Sorry for confusion, I am going to close this.
Thanks for your time and investigation.

Note You need to log in before you can comment on or make changes to this bug.